# $Revision: 1.13 $, $Date: 2009/10/16 06:21:50 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ANSIColor
Summary:	Term::ANSIColor - color screen output using ANSI escape sequences
Summary(pl.UTF-8):	Term::ANSIColor - kolorowe wyświetlanie przy użyciu sekwencji ANSI
Name:		perl-Term-ANSIColor
Version:	2.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	d9b46a35541ffe7fcbe708e82ef95bf7
URL:		http://www.eyrie.org/~eagle/software/ansicolor/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-ANSIColor
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module is a simple and convenient interface to the ANSI
terminal escape sequences for color (from ECMA-48, also included in
ISO 6429). The color sequences are provided in two forms, either as
constants for each color or via a function that takes the names of
colors and returns the appropriate escape codes or wraps them around
the provided text. The non-color text style codes from ANSI X3.64
(bold, dark, underline, and reverse), which were also included in
ECMA-48 and ISO 6429, are also supported.

%description -l pl.UTF-8
Ten moduł Perla to prosty i wygodny interfejs do sekwencji
terminalowych ANSI służących do ustawiania kolorów (zdefiniowanych w
EMCA-48, włączonych także do ISO 6429). Sekwencje kolorów są
udostępniane na dwa sposoby - jako stałe dla każdego koloru oraz jako
funkcja przyjmująca nazwy kolorów i zwracająca odpowiednie kody
lub wstawiająca je w podany tekst. Obsługiwane są także kody stylu
tekstu nie związane z kolorami (pogrubienie, pociemnienie,
podkreślenie, negatyw) zgodnie ze standardem ANSI X3.64 (włączonym
także w ECMA-48 i ISO 6429).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Term/ANSIColor.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-ANSIColor.spec,v $
Revision 1.13  2009/10/16 06:21:50  amateja
- updated to 2.02

Revision 1.12  2007/12/31 02:04:51  zbyniu
- up to 1.12

Revision 1.11  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.9  2006/10/21 20:08:34  ankry
- OOPS, ver. 1.11l fixed changelog

Revision 1.8  2006/10/21 20:07:38  ankry
- ver. 1.11

Revision 1.7  2005/10/31 12:50:40  czucz
- updated to 1.10

Revision 1.6  2004/12/12 10:37:16  adamg
- updated to 1.09

Revision 1.5  2004/11/03 22:30:46  paladine
- formatting

Revision 1.4  2004/05/06 18:43:22  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.2  2004/03/06 19:05:31  adamg
- updated to 1.08

Revision 1.1  2003/11/01 18:07:35  qboosh
- resurrected perl-ANSIColor as perl-Term-ANSIColor - newer than in perl 5.8.0

